#!/usr/bin/perl
# Apply the Frox proxy configuration

require './frox-lib.pl';
&error_setup($text{'apply_err'});

if ($config{'apply_cmd'}) {
	$out = &backquote_logged("($config{'apply_cmd'}) 2>&1 </dev/null");
	if ($?) {
		&error("<pre>$out</pre>");
		}
	}
else {
	$pid = &is_frox_running();
	$pid || &error($text{'stop_egone'});
	&kill_logged('HUP', $pid);
	}
&webmin_log("apply");
&redirect("");

